drno-reg
@drno-reg
см не кратко

Как решить ошибку при установке пакета docker-ce-20.10.5?

есть ОС Oracle Linux

# cat /etc/os-release
NAME="Oracle Linux Server"
VERSION="7.9"
ID="ol"
ID_LIKE="fedora"
VARIANT="Server"
VARIANT_ID="server"
VERSION_ID="7.9"
PRETTY_NAME="Oracle Linux Server 7.9"
ANSI_COLOR="0;31"
CPE_NAME="cpe:/o:oracle:linux:7:9:server"
HOME_URL="https://linux.oracle.com/"
BUG_REPORT_URL="https://bugzilla.oracle.com/"

ORACLE_BUGZILLA_PRODUCT="Oracle Linux 7"
ORACLE_BUGZILLA_PRODUCT_VERSION=7.9
ORACLE_SUPPORT_PRODUCT="Oracle Linux"
ORACLE_SUPPORT_PRODUCT_VERSION=7.9


пытаюсь на него накатить пакеты с docker-ce-20.10.5

yum install docker-ce-20.10.5 -y

возвращается ошибка

--> Finished Dependency Resolution
Error: Package: docker-ce-rootless-extras-20.10.7-3.el7.x86_64 (docker-ce-stable)
           Requires: fuse-overlayfs >= 0.7
Error: Package: docker-ce-rootless-extras-20.10.7-3.el7.x86_64 (docker-ce-stable)
           Requires: slirp4netns >= 0.4


Как решить эту проблему при установке пакета docker-ce-20.10.5?
  • Вопрос задан
  • 71 просмотр
Решения вопроса 1
karabanov
@karabanov
Системный администратор
Надо подключить репазитории с недостающими пакетами.
Примерно, как здесь описано https://blogs.oracle.com/virtualization/install-do...
Ответ написан
Пригласить эксперта
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы